# Copyright (C) 2022 - 2025 ANSYS, Inc. and/or its affiliates.
# SPDX-License-Identifier: MIT
#
#
# Permission is hereby granted, free of charge, to any person obtaining a copy
# of this software and associated documentation files (the "Software"), to deal
# in the Software without restriction, including without limitation the rights
# to use, copy, modify, merge, publish, distribute, sublicense, and/or sell
# copies of the Software, and to permit persons to whom the Software is
# furnished to do so, subject to the following conditions:
#
# The above copyright notice and this permission notice shall be included in all
# copies or substantial portions of the Software.
#
# THE SOFTWARE IS PROVIDED "AS IS", WITHOUT WARRANTY OF ANY KIND, EXPRESS OR
# IMPLIED, INCLUDING BUT NOT LIMITED TO THE WARRANTIES OF MERCHANTABILITY,
# FITNESS FOR A PARTICULAR PURPOSE AND NONINFRINGEMENT. IN NO EVENT SHALL THE
# AUTHORS OR COPYRIGHT HOLDERS BE LIABLE FOR ANY CLAIM, DAMAGES OR OTHER
# LIABILITY, WHETHER IN AN ACTION OF CONTRACT, TORT OR OTHERWISE, ARISING FROM,
# OUT OF OR IN CONNECTION WITH THE SOFTWARE OR THE USE OR OTHER DEALINGS IN THE
# SOFTWARE.

property_codes = {
    "young's modulus x direction": "EX",
    "young's modulus y direction": "EY",
    "young's modulus z direction": "EZ",
    "secant thermal expansion coefficient x direction": "ALPX",
    "secant thermal expansion coefficient y direction": "ALPY",
    "secant thermal expansion coefficient z direction": "ALPZ",
    "instantaneous thermal expansion coefficient x direction": "CTEX",
    "instantaneous thermal expansion coefficient y direction": "CTEY",
    "instantaneous thermal expansion coefficient z direction": "CTEZ",
    "strain reference temperature": "REFT",
    "poisson's ratio xy": "PRXY",
    "poisson's ratio yz": "PRYZ",
    "poisson's ratio xz": "PRXZ",
    "shear modulus xy": "GXY",
    "shear modulus yz": "GYZ",
    "shear modulus xz": "GXZ",
    "coefficient of friction": "MU",
    "density": "DENS",
    "specific heat capacity": "C",
    "enthalpy": "ENTH",
    "thermal conductivity x direction": "KXX",
    "thermal conductivity y direction": "KYY",
    "thermal conductivity z direction": "KZZ",
    "convection coefficient": "HF",
    "emissivity": "EMIS",
    "heat generation rate": "QRATE",
    "viscosity": "VISC",
    "speed of sound": "SONC",
    "electrical resistivity x direction": "RSVX",
    "electrical resistivity y direction": "RSVY",
    "electrical resistivity z direction": "RSVZ",
    "electric relative permittivity x direction": "PERX",
    "electric relative permittivity y direction": "PERY",
    "electric relative permittivity z direction": "PERZ",
    "magnetic relative permeability x direction": "MURX",
    "magnetic relative permeability y direction": "MURY",
    "magnetic relative permeability z direction": "MURZ",
    "magnetic coercive force x direction": "MGXX",
    "magnetic coercive force y direction": "MGYY",
    "magnetic coercive force z direction": "MGZZ",
    "dielectric loss tangent": "LSST",
    "seebeck coefficient x direction": "SBKX",
    "seebeck coefficient y direction": "SBKY",
    "seebeck coefficient z direction": "SBKZ",
}
